SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

CREATE SCHEMA IF NOT EXISTS `Hdd` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci ;
USE `Hdd` ;

-- -----------------------------------------------------
-- Table `Hdd`.`rpms`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `Hdd`.`rpms` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `ertek` INT UNSIGNED NOT NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `Hdd`.`hdds`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `Hdd`.`hdds` (
  `id` INT UNSIGNED NOT NULL AUTO_INCREMENT,
  `rpms_id` INT NOT NULL,
  `nev` VARCHAR(45) NOT NULL,
  `ar` INT UNSIGNED NOT NULL,
  `kapacitas` DOUBLE UNSIGNED NOT NULL,
  PRIMARY KEY (`id`, `rpms_id`),
  INDEX `fk_hdds_rpms_idx` (`rpms_id` ASC),
  CONSTRAINT `fk_hdds_rpms`
    FOREIGN KEY (`rpms_id`)
    REFERENCES `Hdd`.`rpms` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;

-- -----------------------------------------------------
-- Data for table `Hdd`.`rpms`
-- -----------------------------------------------------
START TRANSACTION;
USE `Hdd`;
INSERT INTO `Hdd`.`rpms` (`id`, `ertek`) VALUES (1, 3200);
INSERT INTO `Hdd`.`rpms` (`id`, `ertek`) VALUES (2, 5400);
INSERT INTO `Hdd`.`rpms` (`id`, `ertek`) VALUES (3, 7200);

COMMIT;


-- -----------------------------------------------------
-- Data for table `Hdd`.`hdds`
-- -----------------------------------------------------
START TRANSACTION;
USE `Hdd`;
INSERT INTO `Hdd`.`hdds` (`id`, `rpms_id`, `nev`, `ar`, `kapacitas`) VALUES (1, 1, 'Seagate', 20000, 1);
INSERT INTO `Hdd`.`hdds` (`id`, `rpms_id`, `nev`, `ar`, `kapacitas`) VALUES (2, 2, 'WD', 25000, 2.2);
INSERT INTO `Hdd`.`hdds` (`id`, `rpms_id`, `nev`, `ar`, `kapacitas`) VALUES (3, 3, 'WD', 33000, 2.5);

COMMIT;

